apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: "{{ .Values.postgres_statefulset.name }}"
spec:
  serviceName: "{{ .Values.postgres_statefulset.name }}"
  replicas: {{ .Values.postgres_statefulset.replicas }}
  selector:
    matchLabels:
      app: "{{ .Values.postgres_statefulset.name }}"
  template:
    metadata:
      labels:
        app: "{{ .Values.postgres_statefulset.name }}"
    spec:
      containers:
        - name: "{{ .Values.postgres_statefulset.name }}"
          image: "{{ .Values.postgres_statefulset.image.repository }}:{{ .Values.postgres_statefulset.image.tag | default .Chart.AppVersion }}"
          envFrom:
            - secretRef:
                name: postgres-secret
          ports:
            - containerPort: {{ .Values.postgres_statefulset.port }}
          volumeMounts:
            - name: postgredb
              mountPath: /var/lib/postgresql/data
              subPath: postgres
      volumes:
        - name: postgredb
          emptyDir: {}
